import { type FormInstance } from 'antd';
import type { ReactNode } from 'react';
export declare const ResourceEdit: <T extends {
    id?: number | string;
}>({ resource, children, }: {
    resource: string;
    children?: ({ form, }: {
        form: FormInstance;
    }) => ReactNode;
}) => import("react/jsx-runtime").JSX.Element;
